<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class GradeMaster extends Model
{

    protected $table = 'grade_master';
    public $timestamps = false;
    protected $fillable = [
        'grade','is_active'
    ];

    public function mrProduct()
    {
        return $this->hasMany('App\MRproduct','grade_id');
    }

    public function mrApproval()
    {
        return $this->hasMany('App\MRapprovalproduct','grade_id');
    }

    public function notification()
    {
    	return $this->hasMany('App\Notification','grade_id');
    }

    public function productNotification()
    {
    	return $this->hasMany('App\ProductNotification','grade_id');
    }

    public function prProduct()
    {
    	return $this->hasMany('App\PRproduct','grade_id');
    }
}
